# 
# Migrated from TrMenu v1.x, by TrMenu v2
# Date: 2020-10-06 18:32:28


Title: '&f&l口袋星☪ │ 游戏菜单◂ 队伍精灵数:%pokepapi_pokenum% ▸'
Shape:
- '@@#####@@'
- '@       @'
- '  A B C  '
- '@       @'
- '@@##%##@@'

Options:
  Transfer-Args: false
BUTTONS:
  '#':
    display:
      mats:
      - '160:15'
      name:
      - '&7黑色分隔板'
  '@':
    display:
      mats:
      - '160:1'
      name:
      - '&7橙色分隔板'
  '%':
    display:
      mats:
      - '4764'
      name:
      - '&7返回'
    actions:
      all:
      - 'OP:trmenu open 游戏商城'
  'A':
    update: 1
    display:
      mats:  '266'
      name:
      - '&e&l黄金周卡'
      lore:
      - ''
      - '&f&l周卡特权:'
      - '&fⓤ &7黄金周卡每日礼包 &f✔'
      - '&fⓤ &7随身工作台 &a&l(&7/cmi workbench&a&l) &f✔'
      - '&fⓤ &7随身末影箱 &a&l(&7/cmi ender&a&l) &f✔'
      - ''
      - '&f&l开通奖励:'
      - '&fⓆ &7牧场升级 ✕ &7&l3 &f✔'
      - '&fⓆ &7幸运方块 ✕ &7&l5 &f✔'
      - '&fⓆ &7金色沙漏 ✕ &7&l10 &f✔'
      - '&fⓆ &7boss进化石随机一个 &f✔'
      - '&fⓆ &7黄金周卡限定称号 ✕ &7&l1 &f✔'
      - '&fⓆ &7精灵牧场 ✕ &7&l2 &f✔'
      - ''
      - '&f&l每日礼包内容:'
      - '&fⓆ &7游戏币 ✕ &7&l3000 &f✔'
      - '&fⓆ &7银色镜片 ✕ &7&l1 &f✔'
      - '&fⓆ &7幸运方块 ✕ &7&l2 &f✔'
      - '&fⓆ &7随机技能盘 ✕ &7&l2 &f✔'
      - '&fⓆ &7公园球 ✕ &7&l1 &f✔'
      - ''
      - '&f&l口袋星&7丨&f&l左键花费150点卷购买周卡'
    actions:
      all:
      - close
      - 'TITLE: <TITLE=&f&l正在支付点卷><SUBTITLE=&f■ &8■ ■ ■ ■><FADEIN=20><STAY=60><FADEOUT=15>'
      - 'delay: 20'
      - 'TITLE: <TITLE=&f&l正在支付点卷><SUBTITLE=&f■ ■ &8■ ■ ■><FADEIN=20><STAY=60><FADEOUT=15>'
      - 'delay: 20'
      - 'TITLE: <TITLE=&f&l正在支付点卷><SUBTITLE=&f■ ■ ■ &8■ ■><FADEIN=20><STAY=60><FADEOUT=15>'
      - 'delay: 20'
      - 'TITLE: <TITLE=&f&l正在支付点卷><SUBTITLE=&f■ ■ ■ ■ &8■><FADEIN=20><STAY=60><FADEOUT=15>'
      - 'delay: 20'
      - 'TITLE: <TITLE=&f&l正在支付点卷><SUBTITLE=&f■ ■ ■ ■ ■><FADEIN=20><STAY=60><FADEOUT=15>'
      - 'delay: 20'
      - 'Title: <title=&c&l支付失败余额不足><SUBTITLE=&a&l当前点卷：&f&l%playerpoints_points%>_||_Break:<Requirement:%playerpoints_points% < 150>'
      - 'TITLE: <TITLE=&a&l支 付 成 功><SUBTITLE=&7&l购买 &e&l黄金周卡 &7&l成功><FADEIN=20><STAY=60><FADEOUT=15>'
      - 'Console: cmi broadcast &7&l玩家 &f&l%player_name% &7&l购买 &e&l黄金周卡 &7&l成功'
      - 'OP:p take %player_name% 150'
      - 'OP:cmi give %player_name% 4573 3'
      - 'OP:cmi give %player_name% 5310 5'
      - 'OP:cmi give %player_name% 4588 10'
      - 'OP:cmi give %player_name% 4103 2'
      - 'OP:givebox %player_name% 9903 1'      
      - 'Console: lp user %player_name% permission settemp cmi.command.workbench true 7D'
      - 'Console: lp user %player_name% permission settemp cmi.command.ender true 7D'
      - 'Console: lp user %player_name% permission settemp zk1 true 7D'
      - 'Console: lp user %player_name% permission settemp HJZKMRLB true 7D' 
      - 'Console: lp user %player_name% permission settemp deluxetags.tag.黄金周卡 true 7D'
    icons:
    - condition: 'hasPerm.zk1'   
      display:
        mats:  '266'
        name:
        - '&e&l黄金周卡'
        lore:
        - ''
        - '&f&l周卡特权:'
        - '&fⓤ &7黄金周卡每日礼包 &f✔'
        - '&fⓤ &7随身工作台 &a&l(&7/cmi workbench&a&l) &f✔'
        - '&fⓤ &7随身末影箱 &a&l(&7/cmi ender&a&l) &f✔'
        - ''
        - '&f&l开通奖励:'
        - '&fⓆ &7牧场升级 ✕ &7&l3 &f✔'
        - '&fⓆ &7幸运方块 ✕ &7&l5 &f✔'
        - '&fⓆ &7金色沙漏 ✕ &7&l10 &f✔'
        - '&fⓆ &7boss进化石随机一个 &f✔'
        - '&fⓆ &7黄金周卡限定称号 ✕ &7&l1 &f✔'
        - '&fⓆ &7精灵牧场 ✕ &7&l2 &f✔'
        - ''
        - '&f&l每日礼包内容:'
        - '&fⓆ &7游戏币 ✕ &7&l3000 &f✔'
        - '&fⓆ &7银色镜片 ✕ &7&l1 &f✔'
        - '&fⓆ &7幸运方块 ✕ &7&l2 &f✔'
        - '&fⓆ &7随机技能盘 ✕ &7&l2 &f✔'
        - '&fⓆ &7公园球 ✕ &7&l1 &f✔'
        - ''
        - '&c&l你已购买 &e&l黄金周卡 &c&l了'
      actions:
        left:
        - close
        - 'TITLE: <TITLE=&f&l你的 &e&l黄金周卡 &f&l尚未到期><SUBTITLE=&7&l周卡剩余时间:&f&l%luckperms_expiry_time_zk1%><FADEIN=20><STAY=60><FADEOUT=15>'     
Events:
  Open:
    requirement: player.hasPermission("trmenu.use")
    actions:
    - 'sound: BLOCK_CHEST_OPEN-1-0'
    deny-actions:
    - 'tell: &7你缺少权限 &ctrmenu.use &7以打开此菜单.'
  Close:
    actions:
    - 'sound: BLOCK_CHEST_CLOSE-1-0'
    deny-actions: []           
